Package org.eclipse.m2m.atl.engine.vm

## Class ASMOperation.LocalVariableEntry

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMOperation.LocalVariableEntry

Enclosing class:
  ASMOperation

    public class ASMOperation.LocalVariableEntry
    extends java.lang.Object

### Field Summary

Fields
`int` `begin`
`int` `end`
`java.lang.String` `name`
`int` `slot`

### Constructor Summary

Constructors
`LocalVariableEntry​(int slot, java.lang.String name, int begin, int end)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### slot

    public int slot

#### name

    public java.lang.String name

#### begin

    public int begin

#### end

    public int end

### Constructor Detail

#### LocalVariableEntry

    public LocalVariableEntry​(int slot,
                              java.lang.String name,
                              int begin,
                              int end)